package com.amap.cloud.scheme.act;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;

import com.amap.yuntu.scheme.R;

/**
 * 此页面用于实现一个splashscreen
 * 用于以一个画面停留DELAY 毫秒
 * 你可以在这里进行一些数据加载等耗时的工作
 * @author lingxiang.wang
 *
 */
public class SplashActivity extends Activity {

	private static final long DELAY = 1500;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_splash_screen);

		new Handler().postDelayed(new Runnable() {

			@Override
			public void run() {
				GoToIndex();
				finish();

			}
		}, DELAY);
	}

	/**
	 * 前进到真正的主页
	 */
	public void GoToIndex() {
		Intent intent = new Intent(this, IndexActivity.class);
		startActivity(intent);
	}

}
